Loading...
Searching...
No Matches
Catch::Clara::Detail::ResultValueBase< T > Class Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::ResultValueBase< T >:
[legend]
Collaboration diagram for Catch::Clara::Detail::ResultValueBase< T >:
[legend]

## Public Member Functions

T const & | value () const &
T && | value () &&

## Protected Member Functions

| ResultValueBase (ResultType type)
| ResultValueBase (ResultValueBase const &other)
| ResultValueBase (ResultValueBase &&other)
| ResultValueBase (ResultType, T const &value)
| ResultValueBase (ResultType, T &&value)
ResultValueBase & | operator= (ResultValueBase const &other)
ResultValueBase & | operator= (ResultValueBase &&other)
| ~ResultValueBase () override
Protected Member Functions inherited from Catch::Clara::Detail::ResultBase
| ResultBase (ResultType type)
virtual | ~ResultBase ()
| ResultBase (ResultBase const &)=default
ResultBase & | operator= (ResultBase const &)=default
| ResultBase (ResultBase &&)=default
ResultBase & | operator= (ResultBase &&)=default
virtual void | enforceOk () const =0

## Protected Attributes

union { |
T m_value |
}; |  |
Protected Attributes inherited from Catch::Clara::Detail::ResultBase
ResultType | m_type

## Constructor & Destructor Documentation

## ResultValueBase() [1/5]

template<typename T>

Catch::Clara::Detail::ResultValueBase< T >::ResultValueBase | ( | ResultType | type | ) |

inlineprotected

Here is the call graph for this function:
Here is the caller graph for this function:

## ResultValueBase() [2/5]

template<typename T>

Catch::Clara::Detail::ResultValueBase< T >::ResultValueBase | ( | ResultValueBase< T > const & | other | ) |

inlineprotected

Here is the call graph for this function:

## ResultValueBase() [3/5]

template<typename T>

Catch::Clara::Detail::ResultValueBase< T >::ResultValueBase | ( | ResultValueBase< T > && | other | ) |

inlineprotected

Here is the call graph for this function:

## ResultValueBase() [4/5]

template<typename T>

Catch::Clara::Detail::ResultValueBase< T >::ResultValueBase | ( | ResultType | ,
|  | T const & | value )

inlineprotected

Here is the call graph for this function:

## ResultValueBase() [5/5]

template<typename T>

Catch::Clara::Detail::ResultValueBase< T >::ResultValueBase | ( | ResultType | ,
|  | T && | value )

inlineprotected

Here is the call graph for this function:

## ~ResultValueBase()

template<typename T>

Catch::Clara::Detail::ResultValueBase< T >::~ResultValueBase | ( |  | ) |

inlineoverrideprotected

## Member Function Documentation

## operator=() [1/2]

template<typename T>

ResultValueBase & Catch::Clara::Detail::ResultValueBase< T >::operator= | ( | ResultValueBase< T > && | other | ) |

inlineprotected

Here is the call graph for this function:

## operator=() [2/2]

template<typename T>

ResultValueBase & Catch::Clara::Detail::ResultValueBase< T >::operator= | ( | ResultValueBase< T > const & | other | ) |

inlineprotected

Here is the call graph for this function:

## value() [1/2]

template<typename T>

T && Catch::Clara::Detail::ResultValueBase< T >::value | ( |  | ) | &&

inline

Here is the call graph for this function:

## value() [2/2]

template<typename T>

T const & Catch::Clara::Detail::ResultValueBase< T >::value | ( |  | ) | const &

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## [union]

union { ... } Catch::Clara::Detail::ResultValueBase< T >

## m_value

template<typename T>

T Catch::Clara::Detail::ResultValueBase< T >::m_value

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp